Get a document by ID
curl --request GET \
--url https://api.devic.ai/v1/documents/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devic.ai/v1/documents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devic.ai/v1/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"clientUID": "<string>",
"projectId": "<string>",
"name": "<string>",
"fileName": "<string>",
"fileType": "md",
"mimeType": "<string>",
"size": 123,
"status": "pending",
"markdownContent": "<string>",
"summary": "<string>",
"tokenCount": 123,
"currentVersion": 123,
"folderId": "<string>",
"parentDocumentId": "<string>",
"createdByUserUID": "<string>",
"creationTimestampMs": 123,
"lastEditTimestampMs": 123
}Knowledge
Get a document by ID
Retrieves a single document, including its current markdown content.
GET
/
v1
/
documents
/
{id}
Get a document by ID
Authorizations
Use JWT token for authentication
Path Parameters
Document ID
Response
Document details
Document ID
Client UID
Project ID the document is scoped to
Document name
File name (with extension)
File type
Available options:
md, pdf, txt, docx MIME type
File size in bytes
Processing / indexing status
Available options:
pending, ready, failed Markdown content (for markdown documents)
Auto-generated summary
Token count
Current version number
Folder ID the document is filed in
Parent document ID (for subdocuments referenced via @ mentions)
UID of the user that created the document
Creation timestamp (ms)
Last edit timestamp (ms)